Error
A valid request URL is required to generate request examples{
"updateContactsByPk": {
"firstName": "<string>",
"id": 123,
"lastName": "<string>",
"primaryEmail": "<string>",
"primaryPhoneNumber": "<string>",
"role": "<string>"
}
}Master data
Update a contact
Updates a contact.
PUT
/
contacts
/
{id}
Error
A valid request URL is required to generate request examples{
"updateContactsByPk": {
"firstName": "<string>",
"id": 123,
"lastName": "<string>",
"primaryEmail": "<string>",
"primaryPhoneNumber": "<string>",
"role": "<string>"
}
}Updates a contact.
Request body
{
"role": "Directrice des achats",
"primaryPhoneNumber": "+33 4 78 00 00 00"
}
Headers
API token from your Bonx space.
Path Parameters
"id" is required as part of the path
Body
application/json
Query parameters can also be provided in the request body as a JSON object
Response
200 - application/json
Response
A contact (a physical person, from a client, supplier or 3rd party partner)
Show child attributes
Show child attributes
Was this page helpful?